Subject: Re: bug#70120: notes-mode in elpa needs update to 1.31

From: Philip Kaludercic <[email-masked]>
Date: Tue, 02 Apr 2024 08:12:13 +0000

John Heidemann <[email-masked]> writes:

> On Tue, 02 Apr 2024 05:52:45 -0000, Philip Kaludercic wrote: 
>>John Heidemann <[email-masked]> writes:
>>
>>> On Mon, 01 Apr 2024 09:32:32 -0000, Philip Kaludercic wrote: 
>>>>John Heidemann <[email-masked]> writes:
>>>>
>>>>> I just got mail from elpa about notes-mode
>>>>>
>>>>> https://urldefense.us/v2/url?u=https-3A__elpa.gnu.org_packages_notes-2Dmode.html&d=DwIBAg&c=qzHnJIRvjI6L-clJH8JwLQvf_Iq43fzikf6aoxZgMb8&r=GIjWal7KsyD6t96DlV1ZNA&m=cGCEjXxZBykr0MY3A1w3a7WWS_TViYCtOSwgIwjtmVVJSF971jEjUZwup4JzBqiE&s=ffh0Q7ybvr8WrpfZpy8dlyx2sHfmDPs0nnh14youafM&e=
>>>>>
>>>>> ELPA has version 1.30, but that version is missing changes rqeuired for
>>>>> emacs-26.1.  Please update the version in elpa to notes-mode-1.31
>>>>> found at
>>>>
>>>>It appears that the source code has been added to ELPA, but the version
>>>>header was not increased to indicate a release.  I can do that for you,
>>>>but while we are at it, would you be fine with me extending the
>>>>metadata?  Like adding your name and address as both maintainer and
>>>>author, and a URL?  I also see there is no commentary.
>>>>
>>>>> https://ant.isi.edu/~johnh/SOFTWARE/NOTES_MODE/index.html
>>>>>
>>>>> (specifcally
>>>>> https://ant.isi.edu/~johnh/SOFTWARE/NOTES_MODE/notes-mode-1.31.tar.gz
>>>>> )
>>>>>
>>>>> Thank you,
>>>>>    -John Heidemann
>>>
>>> I don't think I originally submitted it to ELPA.  Maybe someone
>>> submitted it on my behalf?
>>>
>>> I have no metadata for the package, only what I post to my website
>>> (linked above).
>>>
>>> I see the ELPA documentation is at
>>> https://urldefense.us/v2/url?u=https-3A__git.savannah.gnu.org_cgit_emacs_elpa.git_plain_README&d=DwIBAg&c=qzHnJIRvjI6L-clJH8JwLQvf_Iq43fzikf6aoxZgMb8&r=GIjWal7KsyD6t96DlV1ZNA&m=dOw3CwQ2Gt22tBb1-7yZRL1K7uq1OIS6VpZFUGnpL4uOk34beUxpczReiHNkuzOu&s=AmMKyI7JWfaJGyFXfx3bnsmy0U9jtJ6kZI4e_KrHVxU&e=
>>>
>>> Is it that you want me to update the elpa-config file?
>>
>>No, you don't have to do anything.  I am proposing to add these changes
>>to the mirror:
>>
>>diff --git a/notes-mode.el b/notes-mode.el
>>index cbad3917d9..bdd1d506e1 100644
>>--- a/notes-mode.el
>>+++ b/notes-mode.el
>>@@ -1,9 +1,11 @@
>> ;;; notes-mode.el --- Indexing system for on-line note-taking
>> 
>>-;; Copyright (C) 1994-2007,2012  Free Software Foundation, Inc.
>>+;; Copyright (C) 1994-2007,2012,2024  Free Software Foundation, Inc.
>> 
>>-;; Author: <[email-masked]>.
>>-;; Version: 1.30
>>+;; Author: John Heidemann <[email-masked]>
>>+;; Maintainer: John Heidemann <[email-masked]>
>>+;; URL: https://ant.isi.edu/~johnh/SOFTWARE/NOTES_MODE/
>>+;; Version: 1.31
>> 
>> ;; This file is part of GNU Emacs.
>> 
>>@@ -22,7 +24,11 @@
>> 
>> 
>> ;;; Commentary:
>>-;;
>>+
>>+;; Notes-mode is an indexing system for on-line note-taking.
>>+;; Notes-mode is composed of two parts, the visible part, a major-mode
>>+;; for Emacs to aid note-taking; and the invisible part, scripts which
>>+;; periodically index your notes for you.
>> 
>> ;;; Code:
>> 
>>
>>Would you be fine with that? 
>>
>>>    -John
>>
>>-- 
>>	Philip Kaludercic on peregrine
>
> Yes.

OK, I have pushed the change

https://git.savannah.gnu.org/cgit/emacs/elpa.git/commit/?h=externals/notes-mode&id=2a25d79f7e5d9ab7298ba40e11e78d1f2ded06d2

the package should be updated in the next few hours.

>    -John

-- 
	Philip Kaludercic on peregrine